---
title: Sequenced Searching
slug: api/PoDn-sequenced-searching
icon: {"faIcon":"fa-solid fa-link"}
createdAt: 2025-03-04T04:58:12.758Z
---

**Sequenced searching in Australia can be configured for clients upon request.**



:FontAwesome[]{icon="fa-solid fa-map-pin"} When making sequenced calls for Australia, the API input for the `service `*MUST* be set to "Australia Residential".

<u>**Example 1&#x20;**</u>- API Requests and Responses with following four services configured:

Australia Citizens
Australia Consumer
Australia Credit Bureau
Australia Residential

:::ApiMethodV2
```json
{
  "name": "Australia Sequenced Search (example 1)",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – KYC verification from sequenced searching and returns single or duel (where possible) source matches\n* Consumer Consent – YES (for Australia Credit Bureau)\n* Mandatory Input – Name, DOB, and Address\n* Verifies – Name, Address, DOB and other input elements given for verification\n* Returned Data - type of data source, service identifier and other service related data (if applicable) \n",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQyNzgyMDQyLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2MTA0OTEsImV4cCI6MTc0MjgxMDg0MiwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.PiwAcFHRsl0cV7cH5LYMxKHv01cr7RSwB9WJbGthGVgR_ikB0Q2HWFMY64MweKHF_oU1DpzqTsUG4iVR-yIHgQ' \\\n--data-raw '{\n    \"countryCode\": \"AU\",\n    \"service\": [\n        \"Australia Residential\"\n    ],\n    \"clientReference\": \"TestSequencing_0001\",\n    \"firstName\": \"Grant\",\n    \"middleName\": \"Eric\",\n    \"lastName\": \"Brook\",\n    \"dateOfBirth\": \"1973-10-24\",\n    \"addressElement1\": \"52 HAPPYVALLY RD\",\n    \"addressElement3\": \"IRONBARK\",\n    \"addressElement4\": \"VIC\",\n    \"addressElement5\": \"3551\",\n    \"consentObtained\": {\n        \"Australia Credit Bureau\": true\n    },\n    \"identityVariables\": {\n        \"phoneNo\": \"0411111111\",\n        \"email\": \"testemail@datazoo.com\"\n    }\n}\n'",
        "customLabel": "curl"
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Australia\",\n    \"clientReference\": \"TestSequencing_0001\",\n    \"reportingReference\": \"DZ-bfc3d6d1-7c90-4e14-83d9-f7a42b786132\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Australia Credit Bureau\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"M1\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"1.000\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement4\": true,\n                \"addressElement5\": true,\n                \"dateOfBirth\": true,\n                \"firstName\": true,\n                \"lastName\": true,\n                \"middleName\": true\n            },\n            \"returnedData\": {\n                \"category\": \"credit\",\n                \"source\": \"dz2\"\n            }\n        }\n    },\n    \"remarks\": []\n}"
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "required",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Australia Credit Bureau",
                "kind": "required",
                "type": "boolean",
                "description": "should be true"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "required",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Australia Credit Bureau",
                "kind": "required",
                "type": "boolean",
                "description": "should be true"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Australia",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"Full Match 2+2 Verification\" \n\"No Match\""
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "error message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "error message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement4",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "landlineNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "middleName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": [
            {
              "name": "category",
              "kind": "optional",
              "type": "string",
              "description": "data source type or category (example, telco, consumer etc)"
            },
            {
              "name": "source",
              "kind": "optional",
              "type": "string",
              "description": "identifies the data source used "
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues or pre-validation errors.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "australia-sequenced-search-example-1",
  "legacyHash": "2vDo2AnwBb5qU7stzzM82"
}
```
:::

***

**Example 2** - API Requests and Responses with following four services configured:&#x20;


Australia Passport
Australia Medicare Card
Australia Citizens
Australia Consumer

:::ApiMethodV2
```json
{
  "name": "Australia Sequenced Search (example 2)",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – KYC verification from sequenced searching and returns single or duel (where possible) source matches\n* Consumer Consent – YES (for Australia Passport, Australia Driver Licence and Australia Medicare Card)\n* Mandatory Input – Name and Address\n* Verifies – Name, Address, DOB and other input elements given for verification\n* Returned Data - type of data source, service identifier and other service related data (if applicable) ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ4ODIwMTM2LCJleHAiOjE3NDg4NTYxMzYsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.OsFI7E0ICd3SDqxgNZkjrAxhPcifuwedNOahFmQPJPKrJyeqOAOwjXkw2izZt6t1Cj5VrKIkOjNe8vBphbOrvFtA73FQGnk_EGiMpzUsGKo_OOgmFoqTSbSNphuM2MLlAGXK0x78-YGtsOVZciyCdlDNM8wMoSvg_vFxwBe2-OOV9ICNcsD6VRdx21FP2K5bvpdLHlfHzeXJmeB7rOBnrJ7gro0ThTfqPbR-gf77nkTXHPdloLYO9L0vDTKAGQl6PCWc-5sg64-jk2tpXg85-p7qmy4zCyibQHzmN1OT4xcrkDQ4xKCDjJ_NHlOysnTO_Bq1GOrwskcaGdPoxAw2LA' \\\n--data-raw '{\n    \"countryCode\": \"AU\",\n    \"service\": [\n        \"Australia Residential\"\n    ],\n    \"clientReference\": \"TestSandboxSequencing_0001\",\n    \"firstName\": \"Jane\",\n    \"middleName\": \"\",\n    \"lastName\": \"Citizen\",\n    \"dateOfBirth\": \"1984-07-06\",\n    \"addressElement1\": \"52 HAPPYVALLY RD\",\n    \"addressElement3\": \"IRONBARK\",\n    \"addressElement4\": \"VIC\",\n    \"addressElement5\": \"3551\",\n    \"consentObtained\": {\n        \"Australia Passport\": true,\n        \"Australia Medicare Card\": true     \n    },\n    \"identityVariables\": {\n        \"passportNo\": \"PA0940443\",\n        \"medicareCardType\": \"G\", \n        \"medicareExpiry\": \"2022-12-01\", \n        \"medicareCardNo\": \"3512743581\", \n        \"medicareReferenceNo\": 1, \n        \"medicareNameLine1\": \"Jane Citizen\",         \n        \"phoneNo\": \"0411111111\",\n        \"email\": \"testemail@datazoo.com\"\n    }\n}\n'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "code": "{\n    \"countryCode\": \"Australia\",\n    \"clientReference\": \"TestSandboxSequencing_0001\",\n    \"reportingReference\": \"DZ-df105596-93a1-454c-a83b-f8d36bbe5c66\",\n    \"matchStatus\": \"Full Match 2+2 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": true,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Australia Government Identity Documents 2\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"L2\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"N/A\",\n            \"verifications\": {\n                \"dateOfBirth\": true,\n                \"documentNo\": true,\n                \"firstName\": true,\n                \"lastName\": true\n            },\n            \"returnedData\": {\n                \"category\": \"government\",\n                \"source\": \"dz8\"\n            }\n        },\n        \"Australia Government Identity Documents 3\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"L2\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"N/A\",\n            \"verifications\": {\n                \"dateOfBirth\": true,\n                \"documentNo\": true,\n                \"fullName\": true\n            },\n            \"returnedData\": {\n                \"category\": \"government\",\n                \"source\": \"dz9\"\n            }\n        }\n    },\n    \"remarks\": []\n}",
        "customLabel": ""
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "gender",
            "kind": "optional",
            "type": "string",
            "description": "Male or Female"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "optional",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "optional",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "passportNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "medicareCardType",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareExpiry",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareCardNo",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareReferenceNo",
                "kind": "required",
                "type": "integer",
                "description": ""
              },
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine1",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine2",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine3",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine4",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Australia Passport",
                "kind": "required",
                "type": "boolean",
                "description": "should be true"
              },
              {
                "name": "Australia Medicare Card",
                "kind": "required",
                "type": "boolean",
                "description": ""
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "gender",
            "kind": "optional",
            "type": "string",
            "description": "Male or Female"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "optional",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "optional",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "passportNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "medicareCardType",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareExpiry",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareCardNo",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareReferenceNo",
                "kind": "required",
                "type": "integer",
                "description": ""
              },
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine1",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine2",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine3",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "medicareNameLine4",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Australia Passport",
                "kind": "required",
                "type": "boolean",
                "description": "should be true"
              },
              {
                "name": "Australia Medicare Card",
                "kind": "required",
                "type": "boolean",
                "description": ""
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Australia",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"Full Match 2+2 Verification\" \n\"No Match\""
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "\"\"\nerror message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Unsuccessful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "\"\"\nerror message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement4",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "documentNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "landlineNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "middleName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": [
            {
              "name": "category",
              "kind": "optional",
              "type": "string",
              "description": "data source type or category (example, telco, consumer etc)"
            },
            {
              "name": "source",
              "kind": "optional",
              "type": "string",
              "description": "identifies the data source used "
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues or pre-validation errors.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "australia-sequenced-search-example-2",
  "legacyHash": "43MasoRYiTAlVWZ9G6B6y"
}
```
:::

***

:::hint{type="info"}
# Service Responses Overview&#x20;

Each service returns its own self-contained response block, ensuring modular and source-specific verification results. Consumers of this API should handle varying response structures dynamically based on the requested services.&#x20;

## Service Responses Element

The **serviceResponses** object in the API response contains verification results from one or more data sources, structured under their respective service names. Each service (e.g., **"Australia Consumer"**, **"Australia Credit Bureau"** from Example 1) returns a distinct response block with service-specific data.

### Structure and Behavior:&#x20;

- Each key within **serviceResponses** corresponds to a **service name**, representing an individual verification source.
- Services may return data from **a single source or multiple sources** in a sequenced API call.
- The structure of each service response varies, with fields such as **status**, **identityVerified**, and **safeHarbourScore** differing between services.
- The **verifications** block contains service-specific boolean indicators for individual verification checks (e.g., **addressElement1**, **dateOfBirth**, **firstName**).
- The **returnedData** block provides metadata, including **category** and **source**, indicating the data provider used for verification.
:::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="2025-10-03: inclusion of &#x22;medicareNameLine#&#x22; field"}

::ChangelogItem{type="added" description="Last updated - 24 March, 2025"}
:::

